Subject: Re: metamail_2.7-7

From: Ian Jackson <[email-masked]>
Date: Sun, 1 Sep 96 16:12 BST

Michael Meskes writes ("metamail_2.7-7"):
> My first try with the new format. Could anyone who knows more about it than
> I do (Ian?) please take a look at it to see if everything's correct? 

It looks reasonable, but I have the following complaints:

Your `debian/README' should be called `debian/copyright'.

Your binary-root target scheme is redundant - this is now handled by
dpkg-buildpackage.

The copyright file should be in /usr/doc/metamail/copyright, not in
/usr/doc/copyright.

You must install the changelogs.

Your libc dependencies don't use dpkg-shlibdeps.

Your Standards-Version is old, of course - get dpkg 1.3.14 (which will
be out later today) and check the differences to 2.1.0.0 (available in
/usr/doc/dpkg).

Your upload (.changes file) doesn't include the .orig.tar.gz.

You should probably read the final chapter of the policy manual and
use it as a checklist.

>  Also I
> wonder since it suffices to upload diff + deb + changes + dsc for the next
> version, how do I tell dpkg-buildpatch to adjust? Hmm, seems I have to read
> the manuals once again. Anyway, here's the .dsc and .changes file:

It has already done this for you - and it has guessed wrong.  The
first time, when you're converting the package, you have to use the
`-sa' option to dpkg-buildpackage or dpkg-genchanges to get it to
include the .orig.tar.gz.

Oh, and there's no need to post the .dsc.  The .changes is adequate.

Ian.